Skip to main content
Weavr Multi Product API
Outgoing Wire Transfers

Get all outgoing wire transfer transactions

GET/outgoing_wire_transfers

Retrieves all the outgoing wire transfer transactions performed by the logged-in identity.

Request

Query parameters

Responses

200OK

Success

Headers
Body
application/json
{}
objectobject · 3 fields
Response example
{  "transfer": [    {      "id": "string",      "profileId": "string",      "tag": "string",      "sourceInstrument": {        "type": "managed_accounts",        "id": "string"      },      "transferAmount": {        "currency": "string",        "amount": 0      },      "description": "string",      "type": "SEPA",      "destination": {        "name": "string",        "type": "PERSONAL",        "address": "string",        "bankName": "string",        "bankAddress": "string",        "bankCountry": "string",        "bankAccountDetails": {          "iban": "string",          "bankIdentifierCode": "string"        },        "nationality": "string",        "dateOfBirth": "2024-01-01"      },      "state": "INVALID",      "rejectedInfo": "SYSTEM",      "challengeExemptionReason": "LOW_VALUE",      "creationTimestamp": 0,      "scheduledTimestamp": "string",      "executionTimestamp": "string",      "cancellationReason": "string",      "validationOutcomes": [        {          "category": "UK_CONFIRMATION_OF_PAYEE",          "categoryResult": {            "match": "EXACT_MATCH",            "reasonCode": "ANNM",            "accountName": "string"          }        }      ]    }  ],  "count": 0,  "responseCount": 0}